com.fasterxml.jackson.databind.introspect

## Class AnnotatedMethodMap

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedMethodMap

All Implemented Interfaces:
  Iterable<AnnotatedMethod>

    public final class AnnotatedMethodMap
    extends Object
    implements Iterable<AnnotatedMethod>

Simple helper class used to keep track of collection of `AnnotatedMethod`s, accessible by lookup. Lookup is usually needed for augmenting and overriding annotations.

### Field Summary

Fields
`protected Map<MemberKey,AnnotatedMethod>` `_methods`

### Constructor Summary

Constructors
Constructor and Description
`AnnotatedMethodMap()`
`AnnotatedMethodMap(Map<MemberKey,AnnotatedMethod> m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AnnotatedMethod` `find(Method m)`
`AnnotatedMethod` `find(String name, Class<?>[] paramTypes)`
`Iterator<AnnotatedMethod>` `iterator()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### _methods

    protected Map<MemberKey,AnnotatedMethod> _methods

### Constructor Detail

#### AnnotatedMethodMap

    public AnnotatedMethodMap()

#### AnnotatedMethodMap

    public AnnotatedMethodMap(Map<MemberKey,AnnotatedMethod> m)

Since:
  2.9

### Method Detail

#### size

    public int size()

#### find

    public AnnotatedMethod find(String name,
                                Class<?>[] paramTypes)

#### find

    public AnnotatedMethod find(Method m)

#### iterator

    public Iterator<AnnotatedMethod> iterator()

Specified by:
  `iterator` in interface `Iterable<AnnotatedMethod>`